//HDL Example 8-7
//---------------------------------   
//Behavioral description of n-bit multiplier

module multiplier_behavioral(A,B,Q);
   parameter n = 8;
   input [n-1:0] B,Q;
   output [2*n-1:0] A;
   reg [2*n-1:0] A;
   always @ (B or Q)
     A = B * Q;
endmodule

