//HDL Example 8-6
//-----------------------   
//Testing binary multiplier

module test_mltp;
//Inputs for multiplier
   reg S,CLK,Clr;
   reg [4:0] Binput,Qinput;
//Data for display
   wire C;
   wire [4:0] A,Q;
   wire [2:0] P;
//Instantiate multiplier
   mltp mp(S,CLK,Clr,Binput,Qinput,C,A,Q,P);
   initial
     begin
          S=0; CLK=0; Clr=0;
      #5  S=1; Clr=1;
          Binput = 5'b10111;
          Qinput = 5'b10011;
      #15 S = 0;
     end
   initial
     begin
         repeat (26)
      #5 CLK = ~CLK;
     end 
//Display computations and compare with Table 8-4
   always @(negedge CLK)
     $strobe ("C=%b  A=%b  Q=%b  P=%b  time=%0d",C,A,Q,P,$time);
endmodule
